Read

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Retrieves a Patient resource by its FHIR ID. Use this operation to access patient demographics, identifiers, contact information, and other administrative details for a known patient.

For production, replace the host with https://api.healthgorilla.com.

Authorization

This operation requires a valid OAuth 2.0 access token with read permissions for patient data, such as: patient.read or a broader clinical read scope allowed for your client. Requests without a valid token return 401 Unauthorized.

Required Headers

Authorization: Bearer {access_token}
Accept: application/fhir+json

Path Parameter

NameRequiredDescription
idYesThe FHIR ID of the Patient resource to retrieve

Example Request

curl --request GET \
  --url "https://sandbox.healthgorilla.com/fhir/R4/Patient/pat-78910" \
  --header "Authorization: Bearer {{access_token}}" \
  --header "Accept: application/fhir+json"

Example Response (200 OK, trimmed)

{
  "resourceType": "Patient",
  "id": "pat-78910",
  "meta": {
    "versionId": "1",
    "lastUpdated": "2024-12-02T18:25:00Z"
  },
  "active": true,
  "name": [
    {
      "family": "Doe",
      "given": ["John"]
    }
  ],
  "gender": "male",
  "birthDate": "1985-06-21",
  "telecom": [
    {
      "system": "phone",
      "value": "555-555-5555",
      "use": "home"
    }
  ],
  "address": [
    {
      "line": ["123 Main St"],
      "city": "Sunnyvale",
      "state": "CA",
      "postalCode": "94086"
    }
  ]
}

Responses

StatusDescription
200 OKThe Patient resource was successfully retrieved.
400 Bad RequestThe request is malformed or the ID value is invalid.
401 UnauthorizedThe access token is missing, expired, or invalid.
403 ForbiddenThe token is valid but does not have permission to read patient data.
404 Not FoundA Patient resource with the supplied ID does not exist.
500 Internal Server ErrorAn unexpected error occurred on the server.

Path Params
string
required
Responses

Language
Credentials
OAuth2
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json